<?php

session_start();

require_once ("../../config/Cado.php");

require_once ("../venta/cVenta.php");

$oVenta = new cVenta();

require_once ("../stock/cStock.php");

$oStock = new cStock();





class ElementoAutocompletar {

	var $value;

	var $label;

	var $catid;

	var $pre_ven;

	var $codbar;

	var $uni;

	var $alm;



	function __construct($label, $value,$catid,$pre_ven,$codbar,$uni,$alm){

		$this->label = $label;

		$this->value = $value;

		$this->catid = $catid;

		$this->pre_ven = $pre_ven;

		$this->codbar = $codbar;

		$this->uni = $uni;

		$this->alm = $alm;

	}

}



$datoBuscar = '%'.$_GET["term"].'%';

$est=1;

$lim=12;

$tip='';

$monid = 2;

$rs=$oVenta->autocomplet_productos($datoBuscar,$codbar,$est,$lim,$tip,$monid);



$arrayDatos = array();



while ($dt = mysqli_fetch_array($rs))

{

	$largo=55;

	$producto=$dt["tb_producto_nom"];

	$n_producto=strlen($producto);



	$stock = mysqli_fetch_array($oStock->stock_por_presentacion($dt["tb_presentacion_id"],$dt["tb_almacen_id"]))['tb_stock_num'];

	$stock=floor($stock/$dt["tb_catalogo_fac"]);



	$stock=" ".$stock*1;



	$precio="US$. ".$dt["tb_catalogo_preven"];

	$n_precio=strlen($precio);

	

	$n_espacio=$largo-$n_producto-$n_precio-2;

	$espacio=" ".str_pad($ini,$n_espacio,"-")." ";



	$etiqueta = $producto.' - '.$dt["tb_almacen_nom"].' ::: | '.$stock." ".$dt["tb_unidad_nom"]." _ _ ".$precio;

	

	 $uni = '<option value='.$dt['tb_unidad_id_bas'].'>'.$dt['tb_unidad_nom'].'</option>'; 

	

	array_push($arrayDatos, new ElementoAutocompletar($etiqueta, $dt["tb_producto_nom"],$dt["tb_catalogo_id"],

	$dt["tb_catalogo_preven"],$dt['tb_presentacion_codbar'],$uni,$dt["tb_almacen_id"]));

}



print_r(json_encode($arrayDatos));

